package com.shining.cloud.service.user;

import com.shining.cloud.pojo.user.MessageResult;
import com.shining.cloud.pojo.user.UserResult;

/**
 * @author hongawen
 * @date: 2019/10/17 11:36
 */
public interface AppUserService {

    UserResult register(String phone,String code,String devcode);

    void setPsd(String userId, String devCode, String password) throws Exception;

    void resetPsd(String phone, String code, String password, String devCode) throws Exception;

    void modifyPsd(String userId,String phone,String code, String password, String devCode) throws Exception;

    UserResult roleUpdate(String userId, String referralCode, String devCode);

    void setMessage(String phone, String devCode, String type);

    void rebindPhone(String userId, String phoneNew, String devCode,String code);

    void msgSet(String userId, String eventInfo, String targetInfo, String deviceInfo, String systemInfo);

    MessageResult getMsg(String userId, String devCode);

    void comfirmCode(String phone, String devCode, String code);
}
